summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/asm6809/README6
-rw-r--r--development/asm6809/asm6809.SlackBuild106
-rw-r--r--development/asm6809/asm6809.info10
-rw-r--r--development/asm6809/slack-desc20
4 files changed, 142 insertions, 0 deletions
diff --git a/development/asm6809/README b/development/asm6809/README
new file mode 100644
index 0000000000..e9bc7a9810
--- /dev/null
+++ b/development/asm6809/README
@@ -0,0 +1,6 @@
+asm6809 is a portable cross assembler targeting the Motorola 6809 and
+Hitachi 6309.
+
+Features arbitrarily complex expressions (with most C-style operators available),
+forward references, macro expansion and conditional assembly.
+Output formats are: Raw binary, DragonDOS binary, CoCo RS-DOS (or "DECB") binary, Motorola SREC, Intel HEX.
diff --git a/development/asm6809/asm6809.SlackBuild b/development/asm6809/asm6809.SlackBuild
new file mode 100644
index 0000000000..4b3dfe3b53
--- /dev/null
+++ b/development/asm6809/asm6809.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for asm6809
+
+# Copyright 2015 David Golus <bassplayer69@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Heavily based on original slackbuild by AlienBOB.
+# Modified by David Golus <bassplayer69@gmail.com>
+
+PRGNAM=asm6809
+VERSION=${VERSION:-2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+LDFLAGS="-lm" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --sysconfdir=/etc \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING.GPL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/asm6809/asm6809.info b/development/asm6809/asm6809.info
new file mode 100644
index 0000000000..6453264a0d
--- /dev/null
+++ b/development/asm6809/asm6809.info
@@ -0,0 +1,10 @@
+PRGNAM="asm6809"
+VERSION="2.5"
+HOMEPAGE="http://www.6809.org.uk/asm6809/"
+DOWNLOAD="http://www.6809.org.uk/asm6809/dl/asm6809-2.5.tar.gz"
+MD5SUM="0258826e5f9e0bdf9de5c5d8b554eaaf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Golus"
+EMAIL="bassplayer69@gmail.com"
diff --git a/development/asm6809/slack-desc b/development/asm6809/slack-desc
new file mode 100644
index 0000000000..53c83569d9
--- /dev/null
+++ b/development/asm6809/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+asm6809: asm6809 - (6809/6309 cross assmbler)
+asm6809:
+asm6809: asm6809 is a portable cross assembler targetting the Motorola 6809
+asm6809: and Hitachi 6309 microprocessors.
+asm6809:
+asm6809: Features arbitrarily complex expressions (with most C-style
+asm6809: operators available, forward references, macro expansion and
+asm6809: conditional assembly. Output formats are: Raw binary, DragonDOS
+asm6809: binary, CoCo RS-DOS (or "DECB") binary, Motorola SREC, Intel HEX.
+asm6809:
+asm6809: http://www.6809.org.uk/asm6809
+asm6809: